## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::ImportKit::Container::Material Class Reference

A material for a mesh. More...

`#include <cstool/importkit.h>`

List of all members.

## Public Member Functions

const wchar_t * | GetName () const
| Get name of the material.
const char * | GetTextureFile () const
| Get texture filename of the material.

## Protected Member Functions

| Material ()

## Protected Attributes

wchar_t * | name
char * | texture

## Friends

class | Container
class | ImportKitImpl::Glue

## Detailed Description

A material for a mesh.

Remarks:
  While CrystalSpace distinguishes materials and textures, the import kit does not - a material corresponds to a texture.

Definition at line 146 of file importkit.h.

## Member Function Documentation

const wchar_t* CrystalSpace::ImportKit::Container::Material::GetName | ( |  | ) | const`[inline]`

| Get name of the material. Definition at line 157 of file importkit.h.

const char* CrystalSpace::ImportKit::Container::Material::GetTextureFile | ( |  | ) | const`[inline]`

| Get texture filename of the material. Definition at line 161 of file importkit.h.

The documentation for this class was generated from the following file:

- cstool/importkit.h